> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all budgets

> Return all Budgets.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /budgets
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AccessPolicies
    description: Operations about AccessPolicies
  - name: Annotations
    description: Operations about Annotations
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: DashboardNotifications
    description: Operations about DashboardNotifications
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: EnrichmentSources
    description: Operations about EnrichmentSources
  - name: EnrichmentStatistics
    description: Operations about EnrichmentStatistics
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowLogs
    description: Operations about NetworkFlowLogs
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportForecasts
    description: Operations about ReportForecasts
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: ScenarioModels
    description: Operations about ScenarioModels
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /budgets:
    get:
      tags:
        - Budgets
      summary: Get all budgets
      description: Return all Budgets.
      operationId: getBudgets
      parameters:
        - name: page
          in: query
          description: The page of results to return.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The number of results to return. The maximum is 1000.
          schema:
            type: integer
            format: int32
        - name: q
          in: query
          description: Search budgets by name.
          schema:
            type: string
        - name: workspace_token
          in: query
          description: The workspace token of the budgets to return.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Budgets'
              example:
                links:
                  self: https://api.vantage.sh/v2/budgets
                  first: https://api.vantage.sh/v2/budgets?page=1
                  next: null
                  last: https://api.vantage.sh/v2/budgets?page=1
                  prev: null
                budgets:
                  - token: bdgt_0d825e79a0682cc2
                    name: database
                    workspace_token: wrkspc_226ab053bd01bb2b
                    user_token: usr_8e44c17792242852
                    created_by_token: usr_8e44c17792242852
                    cost_report_token: rprt_92062240b4ffda91
                    created_at: '2024-07-11T20:22:49Z'
                    budget_alert_tokens: []
                    child_budget_tokens: []
                    period_cadence:
                      starts_at: null
                      interval_count: 1
                      interval_unit: month
                    periods:
                      - start_at: '2024-07-01'
                        end_at: '2024-09-30'
                        amount: '10000.0'
                    performance:
                      - date: July, 2024
                        actual: '-100%'
                        amount: '10000.0'
      security:
        - oauth2:
            - read
components:
  schemas:
    Budgets:
      required:
        - budgets
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        budgets:
          type: array
          items:
            $ref: '#/components/schemas/Budget'
      description: Budgets model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    Budget:
      required:
        - budget_alert_tokens
        - child_budget_tokens
        - created_at
        - name
        - period_cadence
        - periods
        - token
        - type
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
        name:
          type: string
          description: The name of the Budget.
          nullable: true
          example: Acme123 Budget
        type:
          type: string
          description: 'The type of Budget. One of: cost, usage.'
          nullable: false
          example: cost
          enum:
            - cost
            - usage
        unit:
          type: string
          description: The usage unit for usage Budgets.
          nullable: true
        workspace_token:
          type: string
          description: The token for the Workspace the Budget is a part of.
          nullable: false
        user_token:
          type: string
          description: The token for the User who created this Budget.
          nullable: true
        created_by_token:
          type: string
          description: The token of the Creator of the Budget.
          nullable: true
        cost_report_token:
          type: string
          description: The token of the Report associated with the Budget.
          nullable: true
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the Budget was created. ISO 8601
            Formatted.
          nullable: false
          example: '2024-03-19T00:00:00Z'
        budget_alert_tokens:
          type: array
          description: The tokens of the BudgetAlerts associated with the Budget.
          nullable: false
          items:
            type: string
            example: ''
        child_budget_tokens:
          type: array
          description: >-
            The tokens of the child Budgets associated with the hierarchical
            Budget.
          nullable: false
          items:
            type: string
            example: ''
        period_cadence:
          $ref: '#/components/schemas/PeriodCadence'
        periods:
          type: array
          description: The budget periods associated with the Budget.
          items:
            $ref: '#/components/schemas/BudgetPeriod'
        performance:
          type: array
          description: The historical performance of the Budget.
          items:
            $ref: '#/components/schemas/BudgetPerformance'
      description: Budget model
    PeriodCadence:
      required:
        - interval_count
        - interval_unit
      type: object
      properties:
        starts_at:
          type: string
          description: >-
            The anchor date for budget period intervals. ISO 8601 date
            (YYYY-MM-DD).
          nullable: true
          example: '2026-01-01'
          x-omitempty: true
        interval_count:
          type: integer
          description: The number of interval units per budget period.
          format: int32
          nullable: false
          example: 1
        interval_unit:
          type: string
          description: >-
            The unit for budget period intervals. One of: day, week, month,
            year.
          nullable: false
          example: month
    BudgetPeriod:
      required:
        - amount
        - end_at
        - start_at
      type: object
      properties:
        start_at:
          type: string
          description: >-
            The date and time, in UTC, the Budget was created. ISO 8601
            Formatted.
          nullable: false
          example: '2024-03-19T00:00:00Z'
        end_at:
          type: string
          description: >-
            The date and time, in UTC, the Budget was created. ISO 8601
            Formatted.
          nullable: false
          example: '2024-03-19T00:00:00Z'
        amount:
          type: string
          description: The amount of the Budget Period as a string to ensure precision.
          nullable: false
          example: '100.00'
    BudgetPerformance:
      required:
        - actual
        - amount
        - date
        - type
      type: object
      properties:
        date:
          type: string
          description: >-
            The date and time, in UTC, the Budget was created. ISO 8601
            Formatted.
          nullable: false
          example: '2024-03-19T00:00:00Z'
        actual:
          type: string
          description: >-
            Settled spend as a percent of the Budget amount for the month. For
            example, 114% means spend is 14% over the Budget.
          nullable: false
          example: 114%
        amount:
          type: string
          description: The amount of the Budget Period as a string to ensure precision.
          nullable: false
          example: '100.00'
        type:
          type: string
          description: 'The type of Budget. One of: cost, usage.'
          nullable: false
          example: cost
          enum:
            - cost
            - usage
        unit:
          type: string
          description: The usage unit for usage Budget performance amounts.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.